import cupy as cp
import numpy as np

def expSpace(min, max, N, exponentialliness = 20.0):
    LinVec = cp.linspace(0, cp.log10(exponentialliness+1, dtype=cp.float64),N, dtype=cp.float64)
    return (max-min)/exponentialliness * (10.0**LinVec - 1) + min


def convert(egyensulyi_mtx):
    parok = np.empty([0], dtype=np.int8)

    for i in egyensulyi_mtx:
        for S in range(0, 4):
            for U in range(0, 4):
                if i[S][U] == 1:
                    parok = np.append(parok, S+1)
                    parok = np.append(parok, U+1)
        parok = np.append(parok, 0)
        parok = np.append(parok, 0)
    
    N = parok.size
    return np.resize(parok, (int(N/2), 2))

def printresults(egyensulyi_mtx):
    ossz = 0
    for i in egyensulyi_mtx:
        parok = np.empty([0], dtype=np.int8)
        for S in range(0, 4):
            for U in range(0, 4):
                if i[S][U] == 1:
                    parok = np.append(parok, S+1)
                    parok = np.append(parok, U+1)
        N = parok.size
        print(f"{int(N/2)}x2")
        print(np.resize(parok, (int(N/2), 2)))
        print()

def compute_lcm(x, y):
   if x > y:
       greater = x
   else:
       greater = y
   while(True):
       if((greater % x == 0) and (greater % y == 0)):
           lcm = greater
           break
       greater += 1
   return lcm